Summary:  JDBC driver for PostgreSQL
Name:     postgresql-jdbc
Version:  42.7.5
Release:  1%{?dist}
License:  BSD-2-Clause
URL:      http://jdbc.postgresql.org/
Source0:	https://repo1.maven.org/maven2/org/postgresql/postgresql/%{version}/postgresql-%{version}-jdbc-src.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch
BuildRequires:  java-devel
BuildRequires:  maven >= 3.9.9
BuildRequires:  maven-buildrequires
# For selftest
BuildRequires:	postgresql-contrib postgresql-test-rpm-macros
Provides:       pgjdbc = %{version}-%{release}
Requires:       java-headless
Requires:       javapackages-filesystem

%description
The PostgreSQL JDBC Driver allows Java programs to connect to a PostgreSQL database
using standard, database independent Java code. pgJDBC is an open source JDBC driver
written in Pure Java (Type 4), and communicates in the PostgreSQL native network protocol.



%prep
%setup -n postgresql-%{version}-jdbc-src



%build
%postgresql_tests_init

PGTESTS_LOCALE=C.UTF-8

cat <<EOF > build.local.properties
server=localhost
port=$PGTESTS_PORT
database=test
username=test
password=test
privilegedUser=$PGTESTS_ADMIN
privilegedPassword=$PGTESTS_ADMINPASS
preparethreshold=5
loglevel=0
protocolVersion=0
EOF

%postgresql_tests_start

JAVA_HOME=/usr/lib/jvm/java PATH="/usr/lib/jvm/java/bin:${PATH}" mvn -o -Dmaven.repo.local=/usr/lib/maven/repository/ -Dmaven.test.skip=true -Dmaven.javadoc.skip=true package

cp target/original-postgresql-%{version}.jar postgresql.jar

%install
mkdir -p %{buildroot}%{_datadir}/java/postgresql-jdbc/
cp postgresql.jar %{buildroot}%{_datadir}/java/postgresql-jdbc/
pushd %{buildroot}%{_datadir}/java/
ln -s postgresql-jdbc/postgresql.jar postgresql.jar
ln -s postgresql-jdbc/postgresql.jar postgresql-jdbc.jar
popd

%files
%license LICENSE
%doc README.md
%{_datadir}/java/postgresql-jdbc/postgresql.jar
%{_datadir}/java/postgresql.jar
%{_datadir}/java/postgresql-jdbc.jar



%changelog
* Tue Jan 21 2025 Zhao Zhen <jeremiazhao@tencent.com> - 42.7.5-1
- rewrite build script
- updated to upstream 42.7.5
- lack .pom amd .xml files

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5.6-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5.6-2
- Rebuilt for loongarch release

* Tue Jun 04 2024 Upgrade Robot <upbot@opencloudos.tech> - 42.5.6-1
- Upgrade to version 42.5.6
- fix CVE-2024-1597

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 rockerzhu <rockerzhu@tencent.com> - 42.5.2-1
- Initial build.
